ApiUsers
Get user by ID
Return a specific user with permission hints indicating what actions the current admin can perform on this user. Requires ADMIN or OWNER role.
Authorization
User API Key AuthorizationBearer <token>
User API key (mgw_usr_live_* or mgw_usr_test_*)
In: header
Path Parameters
user_id*string
Format
uuidCookie Parameters
access_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"email": "string",
"name": "string",
"avatar_url": "string",
"role": "owner",
"is_active": true,
"deactivated_at": "2019-08-24T14:15:22Z",
"api_key_count": 0,
"last_login_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"can_change_role": true,
"can_deactivate": true,
"can_delete": true,
"available_roles": [
"owner"
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}